# /u/sy/beebe/2-13/makeindex/src/tstmall.awk, Sun Apr 10 10:25:34 1994
# Edit by Nelson H. F. Beebe <beebe@sunrise>
# ========================================================================
# Extract data from tstmall.log.`hostname` and output in a format
# suitable for plotting by gnuplot
# Usage:
#	nawk -f tstmall.awk tstmall.log.`hostname` >tstmall.gnu.`hostname`
# [10-Apr-1994]
# ========================================================================

/^Test of successive malloc\([0-9 ]*\) calls/ {size = substr($0,27,7)}

/^ *1\tdelta/	{ delta[size] = $6 }

/^malloc/	{ size = substr($0,8,7); delta[size] = $9 }

END   {
    for (size in delta)
	printf("%-6s\t%-8s\n", size, delta[size]) | "sort +0n -1"
}
